### Hierarchy

- ApiService
  - StandardService

## Index

### Methods

- create
- getFees
- getOrderByHash
- getOrderbook
- getOrders
- getTokenPairs

## Methods

### create

- create(params: IStandardCreateParams): Promise<Order>

- - Defined in aqueduct.ts:883

  Create an order

  #### Parameters

  - ##### params: IStandardCreateParams

  #### Returns Promise<Order>

### getFees

- getFees(params: IStandardGetFeesParams): Promise<IFees>

- - Defined in aqueduct.ts:870

  #### Parameters

  - ##### params: IStandardGetFeesParams

  #### Returns Promise<IFees>

### getOrderByHash

- getOrderByHash(params: IStandardGetOrderByHashParams): Promise<IStandardOrder>

- - Defined in aqueduct.ts:862

  #### Parameters

  - ##### params: IStandardGetOrderByHashParams

  #### Returns Promise<IStandardOrder>

### getOrderbook

- getOrderbook(params: IStandardGetOrderbookParams): Promise<IStandardOrderbook>

- - Defined in aqueduct.ts:893

  #### Parameters

  - ##### params: IStandardGetOrderbookParams

  #### Returns Promise<IStandardOrderbook>

### getOrders

- getOrders(params: IStandardGetOrdersParams): Promise<IStandardOrder[]>

- - Defined in aqueduct.ts:840

  #### Parameters

  - ##### params: IStandardGetOrdersParams

  #### Returns Promise<IStandardOrder[]>

### getTokenPairs

- getTokenPairs(params: IStandardGetTokenPairsParams): Promise<IStandardTokenPair[]>

- - Defined in aqueduct.ts:827

  #### Parameters

  - ##### params: IStandardGetTokenPairsParams

  #### Returns Promise<IStandardTokenPair[]>

Generated using TypeDoc